Investors, warrants & staking

Get Sub Investor Investment Detail

Read one investment row visible to the held sub-investor.

GEThttps://api.toku.com/tga/get-sub-investor-investment-detail

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-sub-investor-investment-detail?investmentID=%3CinvestmentID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "investmentID": "string",
  "roleInOrgID": "string",
  "investmentName": "string",
  "investmentDescription": "string",
  "purchasePrice": 0,
  "amount": 0,
  "totalValue": 0,
  "investmentStatus": "PENDING",
  "issueDate": "string",
  "lockupPeriodMonths": 0,
  "createdAt": "string",
  "updatedAt": "string",
  "legacyMigratedAt": "string",
  "legacyModelID": 0,
  "investorEntityID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

investmentIDstringrequired

Response

200Successful response
investmentIDstringrequired
roleInOrgIDstringrequired
investmentNamestringrequired
investmentDescriptionstring | nullrequired
purchasePricenumberrequired
amountnumberrequired
totalValuenumberrequired
investmentStatusstringrequired

Available options: PENDING, REJECTED, ACCEPTED, COMPLETED, TERMINATED, PAUSED

issueDatestring | nullrequired
lockupPeriodMonthsinteger | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
investorEntityIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits